Main Page Class Hierarchy Compound List File List Compound Members File Members

# MODEM_RW_PARMS Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
char | initCmd [MODEM_INITCMD_LENGTH]
char | dialingPrefix [MODEM_DIALPREFIX_LENGTH]
char | dialingSuffix [MODEM_DIALSUFFIX_LENGTH]
char | hangupCmd [MODEM_HANGUPCMD_LENGTH]
char | autoAnswerOnCmd [MODEM_AUTOANSWERON_LENGTH]
char | autoAnswerOffCmd [MODEM_AUTOANSWEROFF_LENGTH]
char | phoneNumber [MODEM_PHONES][MODEM_PHONENUMBER_LENGTH]
unsigned char | waitForConnection
unsigned char | pauseBetweenCalls
unsigned char | maxDialAttempts
char | cellShare
char | cellOnTime
unsigned char | cellWarmupTime
short | cellStartTime [5]
char | bytepad [4]
unsigned short | flags
char | calloutMsg [46]

## Member Data Documentation

char MODEM_RW_PARMS::autoAnswerOffCmd[MODEM_AUTOANSWEROFF_LENGTH]

| Definition at line 798 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::autoAnswerOnCmd[MODEM_AUTOANSWERON_LENGTH]

| Definition at line 797 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::bytepad[4]

| Definition at line 811 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::calloutMsg[46]

| Definition at line 820 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::cellOnTime

| Definition at line 808 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::cellShare

| Definition at line 806 of file kwhdrs_ew.h.

short MODEM_RW_PARMS::cellStartTime[5]

| Definition at line 810 of file kwhdrs_ew.h.

unsigned char MODEM_RW_PARMS::cellWarmupTime

| Definition at line 809 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::dialingPrefix[MODEM_DIALPREFIX_LENGTH]

| Definition at line 794 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::dialingSuffix[MODEM_DIALSUFFIX_LENGTH]

| Definition at line 795 of file kwhdrs_ew.h.

unsigned short MODEM_RW_PARMS::flags

| Definition at line 813 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::hangupCmd[MODEM_HANGUPCMD_LENGTH]

| Definition at line 796 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::initCmd[MODEM_INITCMD_LENGTH]

| Definition at line 793 of file kwhdrs_ew.h.

unsigned char MODEM_RW_PARMS::maxDialAttempts

| Definition at line 803 of file kwhdrs_ew.h.

unsigned char MODEM_RW_PARMS::pauseBetweenCalls

| Definition at line 802 of file kwhdrs_ew.h.

char MODEM_RW_PARMS::phoneNumber[MODEM_PHONES][MODEM_PHONENUMBER_LENGTH]

| Definition at line 799 of file kwhdrs_ew.h.

unsigned char MODEM_RW_PARMS::waitForConnection

| Definition at line 801 of file kwhdrs_ew.h.

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h